from server.testserver import get_testdata, send_result
import math


def median(values):
    values.sort()
    length = len(values)
    index = (length - 1) // 2
    if length % 2:  # even number
        return values[index]
    else:  # uneven number
        return 0.5 * (values[index] + values[index + 1])


def test_median():
    test_name = "median"
    values = get_testdata(test_name)
    result = []
    data = values['signals']
    for value in data:
        test_id = value['id']
        werte = value['values']
        res = median(werte)
        result.append({'id': test_id, test_name: res})
    send_result(test_name, {'session': values['session'], 'results': result})


if __name__ == '__main__':
    test_median()
