from korpus.messung import Messung


class Bewegung():
    def __init__(self, name, messungen: list[Messung], anzahl, zeit):
        self.name = name
        self.messungen = messungen
        self.anzahl = anzahl
        self.zeit = zeit

    def get_bewegung_data(self):
        res = f"Typ: {self.name}\n"
        res += f"Anzahl an Messwertreihen: {len(self.messungen)}\n"
        res += f"Anzahl Messungen: {self.anzahl}\n"
        res += f"Messzeit: {self.zeit} Sekunden\n\n"
        for messung in self.messungen:
            res += messung.get_messung_data()
        return res
