from korpus.sensor import Sensor


class Messung:
    def __init__(self, name, sensoren: list[Sensor]):
        self.name = name
        self.sensoren = sensoren

    def get_messung_data(self):
        res = self.name
        res += "\n"
        res += f"Anzahl an Einzelsensoren: {len(self.sensoren)}"
        for sensor in self.sensoren:
            res += sensor.get_sensor_data()
        return res
