from features.arithmetic_mean import arithmetic_mean
from features.median import median


class Sensor:

    def __init__(self, name, werte):
        self.name = name
        self.werte = werte

    def mittelwert(self):
        return arithmetic_mean(self.werte)

    def median(self):
        return median(self.werte)

    def standardabweichung(self):
        return "NONE"

    def get_sensor_data(self):
        return f"""
    {self.name}:
    Mittelwert: {self.mittelwert()}
    Median: {self.median()}
    Standardabweichung: {self.standardabweichung()}
        """