from server.testserver import get_testdata, send_result
from numpy import nansum


def arithmetic_mean(values):
    return nansum(values) / len(values)


def test_arithmetic_mean():
    test_name = 'mean'
    values = get_testdata(test_name)
    result = []
    data = values['signals']
    for value in data:
        test_id = value['id']
        werte = value['values']
        res = arithmetic_mean(werte)
        result.append({'id': test_id, test_name: res})
    send_result(test_name, {'session': values['session'], 'results': result})


if __name__ == '__main__':
    test_arithmetic_mean()
